sasl_errstring(10 July 2001)

NAME
sasl_errstring - Translate a SASL return code to a human-readable form

SYNOPSIS
#include <sasl/sasl.h>

const char * sasl_errstring(int saslerr,
			        const char * langlist,
			        const char ** outlang);

DESCRIPTION
sasl_usererr is called to convert a SASL return code (an integer) into a human readable string. At this time the only language available is american english written by programmers (aka gobbledygook). Note that a server should call sasl_usererr on a return code first if the string is going to be sent to the client.

saslerr specifies the error number to convert.

langlist is currently unused; Use NULL.

outlang specifies the desired RFC 1766 language for output. NULL defaults to "en-us," currently the only supported language.

It should be noted that this function is not the recommended means of extracting error code information from SASL, instead application should use sasl_errdetail(3), which contains this information (and more)

RETURN VALUE
Returns the string. If langlist is NULL, US-ASCII is used.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_errdetail(3), sasl_errors(3)